//Source file: RequestedResponseTimeCannotBeDeliveredException.java
//Date: March 2007
//Mobility Interfaces and Data Types for 1st draft ETSI ES 204 915-06 V1.1.1, DES/TISPAN-01032-06-OSA, Parlay 6.0

package org.csapi.jr.se.mm;

/**
 * The requested response time cannot be delivered
 *
 */
public class RequestedResponseTimeCannotBeDeliveredException extends org.csapi.jr.se.mm.MobilityException {

    private Throwable _cause = null;

    public RequestedResponseTimeCannotBeDeliveredException() {
        super(); 
    }

    public RequestedResponseTimeCannotBeDeliveredException(String message) {
        super(message); 
    }

    public RequestedResponseTimeCannotBeDeliveredException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public RequestedResponseTimeCannotBeDeliveredException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // RequestedResponseTimeCannotBeDeliveredException

