//Source file: TriggerConditionsNotSubscribedException.java
//Date: March 2007
//Mobility Interfaces and Data Types for 1st draft ETSI ES 204 915-06 V1.1.1, DES/TISPAN-01032-06-OSA, Parlay 6.0

package org.csapi.jr.se.mm;

/**
 * Trigger conditions not subscribed
 *
 */
public class TriggerConditionsNotSubscribedException extends org.csapi.jr.se.mm.MobilityException {

    private Throwable _cause = null;

    public TriggerConditionsNotSubscribedException() {
        super(); 
    }

    public TriggerConditionsNotSubscribedException(String message) {
        super(message); 
    }

    public TriggerConditionsNotSubscribedException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public TriggerConditionsNotSubscribedException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // TriggerConditionsNotSubscribedException

