//Source file: InvalidReportingIntervalException.java
//Date: March 2007
//Mobility Interfaces and Data Types for 1st draft ETSI ES 204 915-06 V1.1.1, DES/TISPAN-01032-06-OSA, Parlay 6.0

package org.csapi.jr.se.mm;

/**
 * The requested reporting interval is not valid
 *
 */
public class InvalidReportingIntervalException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public InvalidReportingIntervalException() {
        super(); 
    }

    public InvalidReportingIntervalException(String message) {
        super(message); 
    }

    public InvalidReportingIntervalException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidReportingIntervalException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidReportingIntervalException

