//Source file: MobilityException.java
//Date: March 2007
//Mobility Interfaces and Data Types for 1st draft ETSI ES 204 915-06 V1.1.1, DES/TISPAN-01032-06-OSA, Parlay 6.0

package org.csapi.jr.se.mm;

/**
 * Mobility abstract exception
 *
 */
public class MobilityException extends java.lang.Exception {

    private Throwable _cause = null;

    public MobilityException() {
        super(); 
    }

    public MobilityException(String message) {
        super(message); 
    }

    public MobilityException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public MobilityException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // MobilityException

