//Source file: RequestedAccuracyCannotBeDeliveredException.java
//Date: March 2007
//Mobility Interfaces and Data Types for 1st draft ETSI ES 204 915-06 V1.1.1, DES/TISPAN-01032-06-OSA, Parlay 6.0

package org.csapi.jr.se.mm;

/**
 * The requested location accuracy cannot be delivered
 *
 */
public class RequestedAccuracyCannotBeDeliveredException extends org.csapi.jr.se.mm.MobilityException {

    private Throwable _cause = null;

    public RequestedAccuracyCannotBeDeliveredException() {
        super(); 
    }

    public RequestedAccuracyCannotBeDeliveredException(String message) {
        super(message); 
    }

    public RequestedAccuracyCannotBeDeliveredException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public RequestedAccuracyCannotBeDeliveredException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // RequestedAccuracyCannotBeDeliveredException

