//Source file: TriggeredReportingEndedEvent.java
//Date: March 2007
//Mobility Interfaces and Data Types for 1st draft ETSI ES 204 915-06 V1.1.1, DES/TISPAN-01032-06-OSA, Parlay 6.0

package org.csapi.jr.se.mm.us;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the triggeredReportingEnded() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class TriggeredReportingEndedEvent extends java.util.EventObject {

    /**
     * Constructor for the TriggeredReportingEndedEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public TriggeredReportingEndedEvent(java.lang.Object source) {

        super(source);
 
    }

}

